careCycle
CampaignsBlock snippets

Assign Snippet to Block

Assign a single snippet to a block for a campaign.

POST
/v2/campaigns/{campaignId}/block-snippets

Authorization

x-api-key
x-api-key<token>

API key required for authentication.

Keys begin with 'cc_' prefix. Get your API key from the Developer Dashboard.

In: header

Path Parameters

string

Campaign ID

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Formatuuid

Request Body

application/json

POST /v2/campaigns/:campaignId/block-snippets Request body

TypeScript Definitions

Use the request body type in TypeScript.

string

Block ID

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Formatuuid
string

Snippet ID

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Formatuuid
string | null

Transfer config ID for transfer snippets. Required when campaign has multiple transfer destinations.

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.carecycle.ai/v2/campaigns/497f6eca-6276-4993-bfeb-53cbbbba6f08/block-snippets" \  -H "Content-Type: application/json" \  -d '{    "blockId": "fcde1d7c-c9cf-4365-8b6f-51bb6a8bc460",    "snippetId": "ecb0f447-186f-4346-95ab-e27b9e84b6b4"  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "createdAt": null,
  "campaignId": "13f8bf6d-dc27-4a04-bffe-6e5b13c19ddf",
  "blockId": "fcde1d7c-c9cf-4365-8b6f-51bb6a8bc460",
  "snippetId": "ecb0f447-186f-4346-95ab-e27b9e84b6b4",
  "transferConfigId": "e0ca1204-c276-46be-8cf8-5259ed04eb66",
  "afterHoursBlockId": "67b2a124-4795-4fed-8c57-0e2417fda047",
  "afterHoursTransferConfigId": "6ce8c3e4-145f-4a90-b651-30ca815d9242"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "VALIDATION_ERROR",
  "errors": [
    {
      "path": [
        "string"
      ],
      "message": "string",
      "expected": "string",
      "received": "string",
      "code": "string"
    }
  ]
}
{
  "message": "string",
  "code": "string",
  "retryAfter": 0
}
{
  "message": "string",
  "code": "string"
}